| SX126x-Arduino 2.0.1

Data Fields
PacketParams_t Struct Reference

The type describing the packet parameters for every packet types. More...

`#include <sx126x.h>`

## Data Fields
RadioPacketTypes_t | PacketType
| Packet to which the packet parameters are referring to. More...
struct {
struct {
uint16_t PreambleLength
| The preamble Tx length for GFSK packet type in bit. More...
RadioPreambleDetection_t PreambleMinDetect
| The preamble Rx length minimal for GFSK packet type. More...
uint8_t SyncWordLength
| The synchronization word length for GFSK packet type. More...
RadioAddressComp_t AddrComp
| Activated SyncWord correlators. More...
RadioPacketLengthModes_t HeaderType
| If the header is explicit, it will be transmitted in the GFSK packet. If the header is implicit, it will not be transmitted. More...
uint8_t PayloadLength
| Size of the payload in the GFSK packet. More...
RadioCrcTypes_t CrcLength
| Size of the CRC block in the GFSK packet. More...
RadioDcFree_t DcFree
} Gfsk
| Holds the GFSK packet parameters. More...
struct {
uint16_t PreambleLength
| The preamble length is the number of LoRa symbols in the preamble. More...
RadioLoRaPacketLengthsMode_t HeaderType
| If the header is explicit, it will be transmitted in the LoRa packet. If the header is implicit, it will not be transmitted. More...
uint8_t PayloadLength
| Size of the payload in the LoRa packet. More...
RadioLoRaCrcModes_t CrcMode
| Size of CRC block in LoRa packet. More...
RadioLoRaIQModes_t InvertIQ
| Allows to swap IQ for LoRa packet. More...
} LoRa
| Holds the LoRa packet parameters. More...
} | Params
| Holds the packet parameters structure. More...

## Detailed Description

The type describing the packet parameters for every packet types.

## Field Documentation

## ◆ PacketType

RadioPacketTypes_t PacketParams_t::PacketType

Packet to which the packet parameters are referring to.

## ◆ PreambleLength

uint16_t PacketParams_t::PreambleLength

The preamble Tx length for GFSK packet type in bit.

The preamble length is the number of LoRa symbols in the preamble.

## ◆ PreambleMinDetect

RadioPreambleDetection_t PacketParams_t::PreambleMinDetect

The preamble Rx length minimal for GFSK packet type.

## ◆ SyncWordLength

uint8_t PacketParams_t::SyncWordLength

The synchronization word length for GFSK packet type.

## ◆ AddrComp

RadioAddressComp_t PacketParams_t::AddrComp

Activated SyncWord correlators.

## ◆ HeaderType [1/2]

RadioPacketLengthModes_t PacketParams_t::HeaderType

If the header is explicit, it will be transmitted in the GFSK packet. If the header is implicit, it will not be transmitted.

## ◆ PayloadLength

uint8_t PacketParams_t::PayloadLength

Size of the payload in the GFSK packet.

Size of the payload in the LoRa packet.

## ◆ CrcLength

RadioCrcTypes_t PacketParams_t::CrcLength

Size of the CRC block in the GFSK packet.

## ◆ DcFree

RadioDcFree_t PacketParams_t::DcFree

## ◆ Gfsk

struct { ... } PacketParams_t::Gfsk

Holds the GFSK packet parameters.

## ◆ HeaderType [2/2]

RadioLoRaPacketLengthsMode_t PacketParams_t::HeaderType

If the header is explicit, it will be transmitted in the LoRa packet. If the header is implicit, it will not be transmitted.

## ◆ CrcMode

RadioLoRaCrcModes_t PacketParams_t::CrcMode

Size of CRC block in LoRa packet.

## ◆ InvertIQ

RadioLoRaIQModes_t PacketParams_t::InvertIQ

Allows to swap IQ for LoRa packet.

## ◆ LoRa

struct { ... } PacketParams_t::LoRa

Holds the LoRa packet parameters.

## ◆ Params

struct { ... } PacketParams_t::Params

Holds the packet parameters structure.

The documentation for this struct was generated from the following file:

- src/radio/sx126x/sx126x.h